Method: legacySoarSettings.legacyGetCaseAlertTypeFilterValues

Full name: projects.locations.instances.legacySoarSettings.legacyGetCaseAlertTypeFilterValues

Returns all available alert type filter values. This is used for refining case searches based on the specific types of alerts they contain.

HTTP request

GET https://{endpoint}/v1alpha/{instance}/legacySoarSettings:legacyGetCaseAlertTypeFilterValues

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
instance

string

Required. The instance to get the case alert type filter values for. Format: projects/{project}/locations/{location}/instances/{instance}

Request body

The request body must be empty.

Response body

Response message for LegacySoarSettingService.LegacyGetCaseAlertTypeFilterValues.

If successful, the response body contains data with the following structure:

JSON representation
{
  "payload": [
    string
  ]
}
Fields
payload[]

string

Optional. The case alert type filter values.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the instance resource:

  • chronicle.legacySoarSettings.get

For more information, see the IAM documentation.